%define name printtool
%define version 3.53
%define release 2mdk

Summary: A printer configuration tool with a graphical user interface.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Configuration/Printing
#Icon: printtool-logo.xpm
Source: printtool-%{version}.tar.bz2
Source1: %{name}-xpm.tar.bz2
Patch: %{name}-3.44-perms.patch.bz2
Requires: tcl tk control-panel rhs-printfilters >= 1.50 lpr >= 0.16 /usr/bin/kdesu ghostscript >= 5.50
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix:	  %{_prefix}

%description
The printtool is a printer configuration tool with a graphical user
interface.  Printtool can manage both local and remote printers,
including Windows (SMB) and NetWare (NCP) printers.

Printtool should be installed so that you can manage local and remote
printers.

%prep
%setup
%patch0 -p1

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/rhs/control-panel

%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} \
             BINDIR=$RPM_BUILD_ROOT%{_bindir} \
             PANELDIR=$RPM_BUILD_ROOT%{_libdir}/rhs/control-panel \
             INSTALLBIN="install -m0755" \
             INSTALLDATA="install -m0644"

#(deush) menu icons 
install -d $RPM_BUILD_ROOT%{_miconsdir}
install -d $RPM_BUILD_ROOT%{_iconsdir}
install -d $RPM_BUILD_ROOT%{_liconsdir}
tar xvfy %{SOURCE1}
install -m0644 printtool-16.xpm $RPM_BUILD_ROOT%{_miconsdir}/printtool.xpm
install -m0644 printtool-32.xpm $RPM_BUILD_ROOT%{_iconsdir}/printtool.xpm
install -m0644 printtool-48.xpm $RPM_BUILD_ROOT%{_liconsdir}/printtool.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/printtool
?package(printtool):command="%{_bindir}/kdesu -c %{_bindir}/printtool" \
                    icon="printtool.xpm" \
                    needs="x11" \
                    section="Configuration/Printing" \
                    title="printtool"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,0755)
%doc README CHANGES
%{_bindir}/printtool
%{_libdir}/rhs/control-panel/printtool.init
%{_libdir}/rhs/control-panel/printtool.xpm
%{_menudir}/printtool
%{_miconsdir}/printtool.xpm
%{_iconsdir}/printtool.xpm
%{_liconsdir}/printtool.xpm

%changelog
* Sun Sep 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.53-2mdk
- added large icon.

* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 3.53-1mdk
- 3.53.

* Thu Aug 10 2000 Franois Pons <fpons@mandrakesoft.com> 3.48-1mdk
- 3.48.
- macroszifications.
- added missing requires to ghostscript, thanks to Quel Qun <kelk1@usa.net>.

* Thu Jul 20 2000 Franois Pons <fpons@mandrakesoft.com> 3.45-1mdk
- 3.45.
- removed obsolete reference to printtool.wmconfig.
- made icons transparent.

* Sat Apr 29 2000 Daouda Lo <daouda@mandrakesoft.com> 3.44-3mdk
- add menu icons (32 & 16)
- SMP build/check

* Mon Mar 20 2000 Franois PONS <fpons@mandrakesoft.com> 3.44-2mdk
- removed obseleted with-ppa requires and provides style.
- fixed changelog version-release.
- fixed wrong group.
- added menu entry.

* Mon Mar 20 2000 Franois PONS <fpons@mandrakesoft.com> 3.44-1mdk
- 3.44.

* Mon Nov 15 1999 Camille Begnis <camille@mandrakesoft.com>
- added compilation for SMP architectures
- added patch to fix .config file attributes for smb printers
    (bug #44 printtool)

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.43.

* Mon Oct 25 1999 Camille Begnis <camille@mandrakesoft.com>
- Upgraded to 3.41
- Removed some patches

* Thu Sep 02 1999 Pablo Saratxaga <pablo@mandrakesift.com>
- support for color PPA printers too

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesift.com>
- added support for PPA printers

* Mon Jul 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environement.

* Sat Jun 19 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- fix a REALLY stupid bug... looks like we're not the only ones working 24
  hours a day after all. ;)

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- text changes

* Mon Feb  9 1999 Bill Nottingham <notting@redhat.com>
- uniprint support, courtesy Osamu Aoki

* Mon Dec 28 1998 Bill Nottingham <notting@redhat.com>
- ditto

* Tue Dec  8 1998 Bill Nottingham <notting@redhat.com>
- oops. fix SMB printers, again

* Wed Nov 18 1998 Bill Nottingham <notting@redhat.com>
- add workgroup field for SMB printers

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- fix typo

* Thu Sep  9 1998 Bill Nottingham <notting@redhat.com>
- fix description

* Thu Sep  2 1998 Bill Nottingham <notting@redhat.com>
- added NCP support

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- /etc/rc.d/init.d/lpd.init is now just lpd. (problem #768)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Nov 26 1997 Michael Fulbright <msf@redhat.com>
- fixed to print warning if smbclient not installed

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig

* Wed Nov  5 1997 Michael Fulbright <msf@redhat.com>
- fixed add/edit printer boxes with new packing cause old one broke bad

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- put nice new xpm icon in place
- fixed up help titles
- corrected lots of misspellings

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Tue Apr 22 1997 Michael Fulbright <msf@redhat.com>
- Moved to version 3.2.
- Fixed problem with EXTRA_GS_OPIONS

* Fri Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Moved up to version 3.1.
- Added support for mpage - allows nup printing and adjustable margins.
- Simplified configuraion for stair-stepped text and sending EOF.
- Fixed PS filter to send a '\004' instead of a '\014' as EOF character.

* Wed Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Added A4 paper test page support. 

* Fri Mar  7 1997 Michael Fulbright <msf@redhat.com>
- Split print filters off into rh-printfilters package.
- Removed some undesirable debug messages.

* Fri Feb 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed a 'sh -x' left in head of smbprint script
